Subject: Re: [EAI] comments on draft-ietf-eai-smtpext-02

From: "Yao Jiankang" <[email-masked]>
Date: Thu, 28 Dec 2006 16:07:35 +0800

----- Original Message ----- 
From: "Martin Duerst" <[email-masked]>
To: <[email-masked]>
Cc: "Masato Nakajima" <[email-masked]>
Sent: Thursday, December 28, 2006 3:35 PM
Subject: [EAI] comments on draft-ietf-eai-smtpext-02

> These are some comments on draft-ietf-eai-smtpext-02 based
> on questions from my student with whom I'm currently working
> on an implementation. If these have already been made, please
> ignore.
> 
> 1) The draft doesn't say what syntax it is using to describe
>   the syntax. I guess this is ABNF, but this should be made
>   explicit, with a reference (RFC 4234).

in section 2.3,  there is already a reference to RFC4234 ("According to the description above, define the syntax of an
   internationalized email mailbox with ABNF [RFC4234] as")

pls check it in smtpext draft.

> 2) In section 2.4, literal characters and nonterminals are
>   not clearly separated. As an example, I'd expect the
>   first rule to read something like
> 
>   "MAIL FROM:" SP reverse-path [ SP Mail-parameters ] CRLF
> 
> If some other formalism is used, this should be clearly
> documented, but I hope everybody agrees that ABNF is the
> way to go.

actually, the main smtp extension syntax is defined in section 3.3
rfc2821. you may check there for details.

thanks

Yao Jiankang
CNNIC
> 
> Btw, one of my guesses is that the addition of "<" and ">"
> in some of the rules is due to the fact that RFC 4234 uses
> these quite a bit in the text (although only in very
> special cases, such as for variables denoting integers,
> in the examples).
> 
> Regards,     Martin.
> 
> 
> 
> #-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
> #-#-#  http://www.sw.it.aoyama.ac.jp      mailto:[email-masked]    
> 
> 
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ima

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: John C Klensin <[email-masked]>
Date: Thu, 28 Dec 2006 11:59:48 -0500

Yao,

While I agree that it should not be strictly necessary given the 
references you have cited, it seems to me that Martin's 
suggestions would help to improve clarity.

regards,
   john

--On Thursday, December 28, 2006 4:07 PM +0800 Yao Jiankang 
<[email-masked]> wrote:

> in section 2.3,  there is already a reference to RFC4234
> ("According to the description above, define the syntax of an
> actually, the main smtp extension syntax is defined in section
> 3.3 rfc2821. you may check there for details.
>
> thanks
>
> Yao Jiankang
> CNNIC
>>
>> # -#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin
>> # University -#-#  http://www.sw.it.aoyama.ac.jp
>> # mailto:[email-masked]
>>
>>